#ARCS
##Assembly Round-up by Chromium Scaffolding
###Using 10X Genomics linked reads for draft genome scaffolding
##A step-by-step guide
###RL Warren, January 2017  rwarren at bcgsc.ca


=====
##Alignments
=====

###renumber your draft
I strongly suggest that you renumber your draft assembly incrementally before you begin, to avoid surprises down the road. 

cat YOURDRAFT.fa |perl -ne 'chomp;if(/^\>/){$ct++;print ">$ct\n";}else{print "$_\n";}' > YOURDRAFT-renamed.fa

###create bwa mem index
nohup /gsc/btl/linuxbrew/bin/bwa index YOURDRAFT-renamed.fa

###align gemcode, and/or chromium
[rwarren@hpce704]$ ./run-alignments.sh

###create alignment.fof
Include the full path to your bam files

=====
##Scaffolding
=====

1. Run ARCS [./runmeARCS.sh]

nohup ./runmeARCS.sh 
note: ARCS will be expecting the barcode at the end of the read name, in this format:

READNAME_TAGCATAGACATCAGA


2. Make checkpoint file for LINKS

nohup ./runmeTSV.sh


3. Run LINKS scaffolding

a) Create empty file

touch empty.fof

b) Launch LINKS [./runmeLINKS.sh]

nohup ./runmeLINKS.sh
